# AJA DCXS-750 or 1500 DC magnetron sputtering power supply

class pymeasure.instruments.aja.DCXS(adapter, name='AJA DCXS sputtering power supply', **kwargs)

  Bases: `Instrument`

  AJA DCXS-750 or 1500 DC magnetron sputtering power supply with multiple outputs

  Connection to the device is made through an RS232 serial connection. The communication settings are fixed in the device at 38400, one stopbit, no parity. The device’s communication protocol uses single character commands and fixed length replies, both without any terminator.

  Parameters:

    - adapter – pyvisa resource name of the instrument or adapter instance

    - name (string) – The name of the instrument.

    - kwargs – Any valid key-word argument for Instrument

  property active_gun

    Control the active gun number.

  ask(command, query_delay=None, **kwargs)

    Write a command to the instrument and return the read response.

    Parameters:

      - command – Command string to be sent to the instrument.

      - query_delay – Delay between writing and reading in seconds.

      - **kwargs – Keyword arguments passed to the read method.

    Returns:

      String returned by the device without read_termination.

  property current

    Measure the output current in mA.

  property deposition_time_min

    Control the minutes part of deposition time. Can be set only when ‘enabled’ is False.

  property deposition_time_sec

    Control the seconds part of deposition time. Can be set only when ‘enabled’ is False.

  property enabled

    Control the on/off state of the power supply

  property fault_code

    Get the error code from the power supply.

  property id

    Get the power supply type identifier.

  property material

    Control the material name of the sputter target.

  property power

    Measure the actual output power in W.

  property ramp_time

    Control the ramp time in seconds. Can be set only when ‘enabled’ is False.

  read(reply_length=-1, **kwargs)

    Read up to (excluding) read_termination or the whole read buffer.

  property regulation_mode

    Control the regulation mode of the power supply.

  property remaining_deposition_time_min

    Get the minutes part of remaining deposition time.

  property remaining_deposition_time_sec

    Get the seconds part of remaining deposition time.

  property setpoint

    Control the setpoint value. Units are determined by regulation mode (power -> W, voltage -> V, current -> mA).

  property shutter_delay

    Control the shutter delay in seconds. Can be set only when ‘enabled’ is False.

  property shutter_state

    Get the status of the gun shutters. 0 for closed and 1 for open shutters.

  property software_version

    Get the software revision of the power supply firmware.

  property voltage

    Measure the output voltage in V.